Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2003-0124

Overview

Vulnerability Score 4.6 4.6
CVE Id CVE-2003-0124
Last Modified 05 Sep 2008 04:33:32
Published 18 Mar 2003 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector LOCAL
Access Complexity LOW
Authentication NONE

CVE-2003-0124

Summary

man before 1.5l allows attackers to execute arbitrary code via a malformed man file with improper quotes, which causes the my_xsprintf function to return a string with the value "unsafe," which is then executed as a program via a system call if it is in the search path of the user who runs man.

Vulnerable Systems

Application

  • Andries Brouwer Man 1.5h1

  • Andries Brouwer Man 1.5i

  • Andries Brouwer Man 1.5i2

  • Andries Brouwer Man 1.5j

  • Andries Brouwer Man 1.5k


References

BID - 7066

BUGTRAQ - 20030311 Vulnerability in man < 1.5l

XF - man-myxsprintf-code-execution(11512)

REDHAT - RHSA-2003:134

REDHAT - RHSA-2003:133

GENTOO - GLSA-200303-13

CONECTIVA - CLSA-2003:620


Last Updated: 27 May 2016 10:37:48